#ifndef __74HC595_H
#define	__74HC595_H
//------------------------------------------------------------------------------
#include "../USART/USART.h"
//------------------------------------------------------------------------------
void SR_init(void)
{
  USART_init(110);
  
  CS_dir = 0;
}
//------------------------------------------------------------------------------
char SR_swapBits(char data)
{
  char send = 0; 
  
  for(char i = 0 ; i < 8 ; i++ )
  { 
    if((data << i) & 0x80 )
    {
      send +=  0x01 << i;          //Swaps register from MSB to LSB
    }
  }
  
  return send;
}
//------------------------------------------------------------------------------
void SR_transmit(char data)
{
  CS = 0;  
  
  data = SR_swapBits(data);     //...Because USART transmits LSB first  
  USART_Write(data); 
  
  CS = 1;
}
//------------------------------------------------------------------------------
#endif