#define _XTAL_FREQ 4000000
#include <stdio.h>
#include <stdlib.h>
#include <xc.h>
#include "assets/config/config.h"
#include "assets/DS18B20/DS18B20.h"
#include "assets/LCD_serial/Lcd4.h"
//------------------------------------------------------------------------------
int main(int argc, char** argv) 
{
  LCD_init();
  
  while(1)
  {
    signed int rawTemp = 0;
    
    if(ds18b20_read(&rawTemp))
    { 
      char strTempr[12];
      
      sprintf(strTempr,"Temp: %1i%cC",ds18b20_toInt(rawTemp),223);  //223 is  symbol. Not a standard ascii character
      LCD_string(0,0, strTempr);
    }
  }
  return (EXIT_SUCCESS);
}
//------------------------------------------------------------------------------